<template>
<!-- 实时库存 -->
  <div class="steel_real">
    		<div class="sache">
			<el-input placeholder="请输入内容" v-model="inputText" clearable>
			</el-input>
			<el-button type="primary" class="btn" @click="onClick">
				<i class="el-icon-search"></i>查询
			</el-button>
		</div>
  <dilTable v-bind.sync="option">
      <!-- <el-table-column fixed="right" label="操作" width="110">
        <template slot-scope="scope">
          <el-button @click="demotionClick(scope.row.gridId)" type="text" size="small"
            >物资不合格</el-button
          >
        </template>
      </el-table-column> -->
    </dilTable>
    </div>
</template>

<script>
export default {
 name:"steel_real",
  data(){
    return {
      inputText:"",
      option: {
        requestUrl: "/api/v1/wms/selectGridMaterialList?apiId=167",
        },
      };
    },
  mounted(){

  },
  methods:{
    demotionClick(gridId){
      this.$router.push("/steel_realDown/" + gridId);
    },
    onClick(){
      this.option.requestUrl= "/api/v1/wms/selectGridMaterialList?apiId=167&con="+this.inputText;
      console.log(this.inputText)
    }
  },
};
</script>
<style lang="scss" scode>
.steel_real{
  .sache{
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 1.25rem;
    }
  }
}
</style>